<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PubSubClientTask Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classPubSubClientTask.html">PubSubClientTask</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classTask.html#aa4b603c866f4b8e0f0c6b524bb0e287e">delay</a>(int ms)</td><td class="entry"><a class="el" href="classTask.html">Task</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PubSubClientTask</b>(std::string name) (defined in <a class="el" href="classPubSubClientTask.html">PubSubClientTask</a>)</td><td class="entry"><a class="el" href="classPubSubClientTask.html">PubSubClientTask</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTask.html#a5ec932fb35fd295c78eafcf06af1d91d">setCore</a>(BaseType_t coreId)</td><td class="entry"><a class="el" href="classTask.html">Task</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTask.html#a23abd79183a5c2bb1e6d3ff37b1cbf23">setName</a>(std::string name)</td><td class="entry"><a class="el" href="classTask.html">Task</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTask.html#aaa220be4e5007ede0bd3e5349d36eae9">setPriority</a>(uint8_t priority)</td><td class="entry"><a class="el" href="classTask.html">Task</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTask.html#afe0f5594c56b8cc7ac96c2198d5d81b4">setStackSize</a>(uint16_t stackSize)</td><td class="entry"><a class="el" href="classTask.html">Task</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTask.html#a6f13d13787e21dc929b61d112b863433">start</a>(void *taskData=nullptr)</td><td class="entry"><a class="el" href="classTask.html">Task</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTask.html#aba5eb3d6c2a034aa0e319383fbec68c4">stop</a>()</td><td class="entry"><a class="el" href="classTask.html">Task</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTask.html#a3db47e6fe693170a64a636ee93a1f645">Task</a>(std::string taskName=&quot;Task&quot;, uint16_t stackSize=10000, uint8_t priority=5)</td><td class="entry"><a class="el" href="classTask.html">Task</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Task</b>() (defined in <a class="el" href="classTask.html">Task</a>)</td><td class="entry"><a class="el" href="classTask.html">Task</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
